Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://sandbox.api.reap.global/virtual-assets/ \ --header 'Authorization: Bearer <token>' \ --header 'Reap-Version: <reap-version>'
const options = { method: 'GET', headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'} }; fetch('https://sandbox.api.reap.global/virtual-assets/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://sandbox.api.reap.global/virtual-assets/" headers = { "Reap-Version": "<reap-version>", "Authorization": "Bearer <token>" } response = requests.get(url, headers=headers) print(response.text)
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "symbol": "<string>", "name": "<string>", "decimals": 0, "status": "ACTIVE", "rateSource": "FIXED", "httpEndpoint": "<string>", "currentRate": 1, "currentRateUpdatedAt": "<string>", "allocated": { "amount": "<string>", "value": 123 }, "createdAt": "<string>", "updatedAt": "<string>" } ] }
Returns all virtual assets defined for the project.
API key as Bearer token
API version (YYYY-MM-DD)
2025-02-14
"2025-02-14"
List of virtual assets for the project
Show child attributes